package com.malk.lingmingguangzi.service;

import com.malk.server.common.McR;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.Map;

public interface LingmingguangziService {
    McR test();

    /**
     * 获取车载不同客户问卷数量
     * @return
     */
    McR getCustomerQuestionnaireCount(Long start, Long end);

    McR getTbStageDetails(String projectName,String projectId,String parentTaskId);

    McR getCustomerQuestionnaireCount2(Long start, Long end);

    McR addCustomer(Map map);

    McR updateCustomer(Map map);

    McR getProductDeliveryStatus(String keyword,int pageNo,int pageSize,String type);

    McR addSaleOrder(Map map);

/*    McR updateSaleOrder(Map map);*/

    String postWithFile(String url, String filePath,String type) throws UnsupportedEncodingException;

    void updateCurrency();

    void updateTaxRate();

    void updateProcess();

    McR updateCustomerProcess(Map map);

    McR addWeeklyReport(Map map);

    McR getTbStageOptions(String projectName,String projectId,String stageName);

    McR claimBusinessOpportunities(Map map);

    McR createTbProject(Map map);

    McR addContacts(Map map);

    McR stopProcess(Map map);

    void downloadFile(String fileURL, String savePath , String fileName) throws IOException;

    McR updateClueStatus(Map map);
}
